javax.resource.cci

## Interface ConnectionMetaData

-     public interface ConnectionMetaData

  The interface `ConnectionMetaData` provides information about an EIS instance connected through a Connection instance. A component calls the method `Connection.getMetaData` to get a `ConnectionMetaData` instance.
  Version:
    0.8
  Author:
    Rahul Sharma
  See Also:
    `Connection`, `ResultSetInfo`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getEISProductName()` Returns product name of the underlying EIS instance connected through the Connection that produced this metadata.
    `java.lang.String` | `getEISProductVersion()` Returns product version of the underlying EIS instance.
    `java.lang.String` | `getUserName()` Returns the user name for an active connection as known to the underlying EIS instance.

- - ### Method Detail

    - #### getEISProductName

          java.lang.String getEISProductName()
                                      throws ResourceException

      Returns product name of the underlying EIS instance connected through the Connection that produced this metadata.
      Returns:
        Product name of the EIS instance
      Throws:
        `ResourceException` - Failed to get the information for the EIS instance

    - #### getEISProductVersion

          java.lang.String getEISProductVersion()
                                         throws ResourceException

      Returns product version of the underlying EIS instance.
      Returns:
        Product version of an EIS instance.
      Throws:
        `ResourceException` - Failed to get the information for the EIS instance

    - #### getUserName

          java.lang.String getUserName()
                                throws ResourceException

      Returns the user name for an active connection as known to the underlying EIS instance. The name corresponds the resource principal under whose security context a connection to the EIS instance has been established.
      Returns:
        String representing the user name
      Throws:
        `ResourceException` - Failed to get the information for the EIS instance

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)